Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.sunraster
Class RLEInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--com.sun.jimi.core.decoder.sunraster.RLEInputStream

public class RLEInputStream
extends java.io.FilterInputStream

Field Summary
`protected static int` | `RLE_ESCAPE` value of the RLE escape code
`protected int` | `runLength_` the number of values left in the current run
`protected int` | `runValue_` the value of the current run

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`RLEInputStream(java.io.InputStream source)`

Method Summary
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] buf)`
`int` | `read(byte[] buf, int off, int len)`
`void` | `skip(int n)`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RLE_ESCAPE

    protected static final int RLE_ESCAPE

  value of the RLE escape code

### runLength_

    protected int runLength_

  the number of values left in the current run

### runValue_

    protected int runValue_

  the value of the current run

Constructor Detail

### RLEInputStream

    public RLEInputStream(java.io.InputStream source)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] buf,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] buf)
             throws java.io.IOException

  Overrides:
    read in class java.io.FilterInputStream

### skip

    public void skip(int n)
              throws java.io.IOException

### markSupported

    public boolean markSupported()

  Overrides:
    markSupported in class java.io.FilterInputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD